extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Gauge Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Gauge Svelte Component
      script(src="/js/motion/gauge.js")
      f7-motion-gauge(motion)

    p Framework7 comes with Gauge component. It produces nice looking fully responsive SVG gauges.
    h2 Gauge Components
    p There are following components included:
    ul
      li `Gauge`
    h2 Gauge Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          td id
          td string
          td
          td Gauge element ID attribute
        tr
          td type
          td string
          td circle
          td Gauge type. Can be `circle` or `semicircle`
        tr
          td value
          td number
          td 0
          td Gauge value/percentage. Must be a number between `0` and `1`
        tr
          td size
          td number
          td 200
          td Generated SVG image size (in px)
        tr
          td bgColor
          td string
          td transparent
          td Gauge background color. Can be any valid color string, e.g. `#ff00ff`, `rgb(0,0,255)`, etc.
        tr
          td borderBgColor
          td string
          td #eeeeee
          td Main border/stroke background color
        tr
          td borderColor
          td string
          td #000000
          td Main border/stroke color
        tr
          td borderWidth
          td string
          td 10
          td Main border/stroke width
        tr
          td valueText
          td string
          td null
          td Gauge value text (large text in the center of gauge)
        tr
          td valueTextColor
          td string
          td #000000
          td Value text color
        tr
          td valueFontSize
          td string
          td 31
          td Value text font size
        tr
          td valueFontWeight
          td string
          td 500
          td Value text font weight
        tr
          td labelText
          td string
          td null
          td Gauge additional label text
        tr
          td labelTextColor
          td string
          td #888888
          td Label text color
        tr
          td labelFontSize
          td string
          td 14
          td Label text font size
        tr
          td labelFontWeight
          td string
          td 400
          td Label text font weight


    h2 Examples
    +examplePreview('svelte', 'gauge.svelte', 'gauge')
